gnutls_x509_crq_import(3)

NAME
gnutls_x509_crq_import - This function will import a DER or PEM encoded Certificate request

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_import(gnutls_x509_crq_t crq, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_x509_crq_t crq
    The structure to store the parsed certificate request.

const gnutls_datum_t * data
    The DER or PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM

DESCRIPTION
This function will convert the given DER or PEM encoded Certificate to the native gnutls_x509_crq_t format. The output will be stored in cert. If the Certificate is PEM encoded it should have a header of "NEW CERTIFICATE REQUEST".

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.